-------------------------------------------------------------------------------
--
-- Title       : mux4x1
-- Design      : lez1
-- Author      : ascia
-- Company     : unict
--
-------------------------------------------------------------------------------
--
-- File        : mux4x1.vhd
-- Generated   : Thu Nov  7 10:59:28 2013
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.22
--
-------------------------------------------------------------------------------
--
-- Description : 
--
-------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {mux4x1} architecture {mux4x1}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity mux4x1 is
	 port(
		 a : in STD_LOGIC;
		 b : in STD_LOGIC;
		 c : in STD_LOGIC;
		 d : in STD_LOGIC;
		 s1 : in STD_LOGIC;
		 s0 : in STD_LOGIC;
		 q : out STD_LOGIC
	     );
end mux4x1;

--}} End of automatically maintained section

architecture schematic of mux4x1 is  
component mux2x1 is
	port ( a,b: in std_logic;
			s: in std_logic;
			q: out std_logic );
end component;

signal ms1,ms2: std_logic;

begin
	
	m1: mux2x1 port map (a,b,s0,ms1);
	m2: mux2x1 port map (b=> d, a=>c, s=> s0, q=> ms2);
	m3: mux2x1 port map (ms1,ms2,s1,q);

end schematic;
